# $Revision: 1.45.2.3 $, $Date: 2007/04/14 21:25:55 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Various GTK+ widgets for Xfce
Summary(pl):	Rne widgety GTK+ dla Xfce
Name:		libxfcegui4
Version:	4.4.1
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	1e695429e9b7fbfb1bb5e78f6006be43
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbh-devel >= 1.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Various GTK+ widgets for Xfce.

%description -l pl
Rne widgety GTK+ dla Xfce.

%package apidocs
Summary:	libxfcegui4 API documentation
Summary(pl):	Dokumentacja API libxfcegui4
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libxfcegui4 API documentation.

%description apidocs -l pl
Dokumentacja API libxfcegui4.

%package devel
Summary:	Development files for libxfcegui4 library
Summary(pl):	Pliki nagwkowe biblioteki libxfcegui4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8.20
Requires:	libxfce4util-devel >= %{version}
Requires:	startup-notification-devel >= 0.8

%description devel
Development files for the libxfcegui4 library.

%description devel -l pl
Pliki nagwkowe biblioteki libxfcegui4.

%package static
Summary:	Static libxfcegui4 library
Summary(pl):	Statyczna biblioteka libxfcegui4
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfcegui4 library.

%description static -l pl
Statyczna biblioteka libxfcegui4.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-gtkdoc \
	--enable-xinerama \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# assume bn==bn_IN as no translation for bn_BD appeared till now
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/bn{_IN,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxfcegui4.so.*.*.*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfcegui4.so
%{_libdir}/libxfcegui4.la
%{_includedir}/xfce4/libxfcegui4
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfcegui4.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxfcegui4.spec,v $
Revision 1.45.2.3  2007/04/14 21:25:55  megabajt
- updated to 4.4.1

Revision 1.45.2.2  2007/01/28 19:29:55  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.57  2007/01/21 19:09:53  megabajt
- updated md5

Revision 1.56  2007/01/21 19:05:17  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.55  2006/11/05 18:26:30  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.54  2006/09/04 12:32:43  megabajt
- updated to 4.3.99.1

Revision 1.53  2006/07/24 18:18:40  freetz
- rel.2, removed LDFLAGS

Revision 1.52  2006/07/16 11:29:01  freetz
- merged from DEVEL

Revision 1.51.2.2  2006/07/16 11:27:19  freetz
- 4.3.90.2, use common aclocal dir for m4 macros, updated deps, --as-needed
  support

Revision 1.51.2.1  2006/04/18 19:46:22  troll
- updated to 4.3.90.1 (4.4 beta 1)

Revision 1.45.2.1  2006/07/04 18:22:02  havner
- 4.2.3, HEAD merge

Revision 1.51  2005/11/16 23:42:16  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}
- sorted BRs

Revision 1.50  2005/11/11 14:58:32  charles
- BR gtk-doc-automake instead of gtk-doc (adgor's suggestion)

Revision 1.49  2005/11/09 20:20:34  charles
- reverted (see eg. docs/Makefile.{am,in})

Revision 1.48  2005/11/09 18:18:09  adgor
- Commented out gtk-doc br (do it properly - `configure --help|grep gtk-doc`!)

Revision 1.47  2005/11/09 16:56:58  charles
- rm -taskbar.patch (already unnecessary)

Revision 1.46  2005/11/09 04:27:59  troll
- updated to 4.2.3

Revision 1.45  2005/11/01 10:49:57  ankry
- bn locale fix, rel. 3

Revision 1.44  2005/09/05 22:31:09  charles
- with gtk+2 >= 2.7 labels on xfce4-taskbar exceed the buttons dimensions,
  fixed by -taskbar.patch
- BR: gtk-doc
- rel. 2, STBR

Revision 1.43  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.42  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.41  2005/05/18 23:52:06  troll
- BR: xfce4-dev-tools

Revision 1.40  2005/05/18 08:54:49  koorek
- updated to 4.2.2

Revision 1.39  2005/03/20 11:50:33  qboosh
- when built on glib 2.6, it needs glib 2.6 at runtime - bumped gtk+2 deps to 2.6.0

Revision 1.38  2005/03/16 09:26:56  charles
- rm BR librsvg-devel (libxfcegui4 don't use librsvg)

Revision 1.37  2005/03/16 01:12:52  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.36  2005/01/17 11:07:24  troll
- updated to 4.2.0 final

Revision 1.35  2005/01/05 11:17:18  charles
- proper licence

Revision 1.34  2005/01/05 03:04:27  charles
- reverted R libxfce4util

Revision 1.33  2005/01/04 21:43:29  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.32  2004/12/27 22:10:10  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.31  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.30  2004/12/13 18:30:37  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.29  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.28  2004/11/25 21:59:21  qboosh
- modules cleanup - now loadable w/o -devel

Revision 1.27  2004/11/25 21:31:23  qboosh
- gtk-doc moved to -devel (API, not user docs), added gtk+2 epoch

Revision 1.26  2004/11/24 22:16:21  troll
- merged from DEVEL

Revision 1.20.2.16  2004/11/24 21:40:54  troll
- changes from HEAD

Revision 1.20.2.15  2004/11/16 21:00:15  dzeus
- proper BR,R

Revision 1.20.2.14  2004/11/15 20:20:38  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.20.2.13  2004/11/06 23:36:43  troll
- R: gtk-doc-common
- switched to %%{_gtkdocdir}

Revision 1.20.2.12  2004/11/06 13:14:54  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.20.2.11  2004/10/07 05:21:03  troll
- up to 4.1.90 (4.2 beta 1)

Revision 1.20.2.10  2004/08/16 18:58:18  havner
- [mass commit] 20040816
- not tested yet

Revision 1.20.2.9  2004/08/13 16:03:35  havner
- no gtk-doc in BR

Revision 1.20.2.8  2004/08/13 16:02:11  havner
- proper version
- stricter BR
- 20040813

Revision 1.20.2.7  2004/08/06 21:33:28  havner
- 20040806
- %files fixed
- more BR (versions needs to be updated)

Revision 1.20.2.6  2004/07/30 00:22:10  troll
- 4.1.26 - some new hacks hence it's far from being complete

Revision 1.20.2.5  2004/06/22 12:42:17  jpc
- -devel R: startup-notification-devel

Revision 1.20.2.4  2004/06/21 16:01:43  jpc
- forgot -devel in BR

Revision 1.20.2.3  2004/06/21 16:00:46  jpc
- BR: gettext-devel, startup-notification-devel
- R: startup-notification

Revision 1.20.2.2  2004/06/16 16:46:49  jpc
- fixed -static subpackage group

Revision 1.20.2.1  2004/06/16 15:51:27  jpc
- new snap 20040616
- autotoolize
- find_lang added

Revision 1.20  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.19  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.18  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.17  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.16  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.15  2004/01/02 17:43:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.14  2004/01/02 11:45:38  jajcus
- copy config.sub from automake

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.10  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.9  2003/08/28 11:33:46  troll
- fixed *Requires' versions

Revision 1.8  2003/08/27 09:03:45  pascalek
- wrr... md5sum updated

Revision 1.7  2003/08/27 08:58:28  pascalek
- updated to 3.99.3

Revision 1.6  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.5  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:23:31  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:41:59  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/16 14:41:45  qboosh
- pl, cleanups, fixed file lists

Revision 1.1  2003/06/14 18:21:14  pascalek
- initial release
